# ChatBot-Projekt

Wir als kleine Gruppe von 2 Personen (Nik & Daniel) entwickeln einen kleinen Chatbot wo man befehle einsenden kann wir hoffen es KI Features einzubinden, das gehört aber in den nice to have Bereich.

## Features

### Must-Have Features ✅
Diese Funktionen sind essentiell und werden prioritär implementiert:
- 💬 Textfeld für Benutzereingaben
- 📤 Ausgabefeld für Bot-Antworten
- 🔲 Senden-Button für Nachrichten
- ⚠️ Fehlerbehandlung bei leeren Nachrichten
- 👤 Unterscheidung zwischen Benutzer- und Bot-Nachrichten
- 🗑️ Chat zurücksetzen/löschen Funktion
- ⌨️ Basis-Kommandos (Hilfe, Ende, Neustart)

### Should-Have Features 📋
Diese Funktionen erhöhen die Benutzerfreundlichkeit:
- 📜 Chatverlauf-Anzeige
- ⚡ Tastatur-Shortcuts (Enter zum Senden)
- 💾 Speicherfunktion für Chatverläufe
- 🔊 Sound-Effekte bei neuen Nachrichten

### Nice-to-Have Features 🌟
Diese zusätzlichen Funktionen werden nach Möglichkeit implementiert:
- 🤖 KI-Funktionalität
- ⏰ Wetter- und Uhrzeitabfragen
- 📍 Variable Standortänderung
- 🔢 Taschenrechner-Funktion
- 🎨 Verschiedene Themes/Farbschemata

## Entwicklung
- Entwickelt in C#
- Windows Desktop-Anwendung
- WPF für die Benutzeroberfläche

## Projektfortschritt
### Must-Have Features
[▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓] 100%
- [x] Textfeld für Benutzereingaben
- [x] Ausgabefeld für Bot-Antworten
- [x] Senden-Button für Nachrichten
- [x] Fehlerbehandlung bei leeren Nachrichten
- [x] Unterscheidung zwischen Benutzer- und Bot-Nachrichten
- [x] Chat zurücksetzen/löschen Funktion
- [x] Basis-Kommandos

### Should-Have Features
[▓▓▓▓▓▓▓▓▓▓░░░░░░░░░░] 50%
- [x] Chatverlauf-Anzeige
- [x] Tastatur-Shortcuts(Enter taste zum bestätigen)
- [ ] Speicherfunktion für Chatverläufe
- [ ] Sound-Effekte

### Nice-to-Have Features
[▓▓▓▓░░░░░░░░░░░░░░░░] 20%
- [ ] Taschenrechner-Funktion
- [ ] KI-Funktionalität
- [ ] Wetter- und Uhrzeitabfragen
- [ ] Variable Standortänderung
- [x] Verschiedene Themes/Farbschemata

### Gesamtfortschritt
[▓▓▓▓▓▓▓▓▓▓▓▓░░░░░░░░] 62,5%

## Status
🚧 In Entwicklung - v0.6.3

---
*Dieses Projekt ist Teil einer Ausbildung*